org.apache.sling.launchpad.api

## Interface LaunchpadContentProvider

    public interface LaunchpadContentProvider

The `ResourceProvider` defines a simple API to access resources from the environment depending on how Sling is launched.

### Method Summary

Methods
`Iterator<String>` `getChildren(String path)` Returns an iterator of paths strings of the children of the given folder defined by its path.
`URL` `getResource(String path)` Returns an URL to the resource with the given path or `null` if no such resource exists.
`InputStream` `getResourceAsStream(String path)` Returns an `InputStream` to the resource given by the path or `null` if no such resource exists.

### Method Detail

#### getChildren

    Iterator<String> getChildren(String path)

Returns an iterator of paths strings of the children of the given folder defined by its path.

#### getResource

    URL getResource(String path)

Returns an URL to the resource with the given path or `null` if no such resource exists.

#### getResourceAsStream

    InputStream getResourceAsStream(String path)

Returns an `InputStream` to the resource given by the path or `null` if no such resource exists.